Skip to main content
PUT
/
api
/
organization
/
{organization_id}
/
role
/
{role_id}
/
permission
Set Role Permissions
curl --request PUT \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/role/{role_id}/permission \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissions": [
    {
      "resource_type": "organization",
      "action": "create"
    }
  ]
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "action": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required
role_id
string<uuid>
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Full replacement semantics for PUT .../role/{id}/permission

permissions
RolePermissionCreate · object[]
required

Response

Successful Response

id
string<uuid>
required
role_id
string<uuid>
required
resource_type
string
required
action
string
required
created_at
string<date-time>
required